WordPress.org

Plugin Directory

WordPress Mobile Pack

The NEW WordPress Mobile Pack allows you to 'package' your existing content into a cross-platform mobile web application.

Simple installation for WordPress v3.5 and later

  1. Go to the 'Plugins' / 'Add new' menu
  2. Upload wordpress-mobile-pack.zip then press 'Install now'.
  3. Enjoy.

Comprehensive setup

A more comprehensive setup process and guide to configuration is as follows.

  1. Locate your WordPress install on the file system
  2. Extract the contents of wordpress-mobile-pack.zip into wp-content/plugins
  3. In wp-content/plugins you should now see a directory named wordpress-mobile-pack
  4. Login to the WordPress admin panel at http://yoursite.com/wp-admin
  5. Go to the 'Plugins' menu.
  6. Click 'Activate' for the plugin.
  7. Go to the 'WP Mobile Pack' admin panel.
  8. Go to the 'Look & Feel' tab. Choose color schemes, fonts and add your own logo and app icon.
  9. Go to the 'Content' tab. Disable, enable or order categories and pages depending on what content you want to show in the mobile web app.
  10. Go to the 'Settings' tab to choose a Display Mode and add your Google Analytics ID.
  11. Access your site in a mobile browser and check if the application is displayed. If the app is not loading properly, make sure that the file exporting the content - http://yoursite.com/{your plugins folder}/wordpress-mobile-pack/export/content.php - can be accessed in the browser and doesn't return a '404 Not Found' error.
  12. You're all done!

Testing your installation

Ideally, use a real mobile device to access your (public) site address and check that the switching and mobile web app work correctly.

You can also download a number of mobile emulators that can run on a desktop PC and simulate mobile devices.

Please note that the mobile web app will be enabled only on supported devices: iPhones, Android smartphones, Windows Phone 8 and Firefox OS. Only the following browsers are compatible: Safari, Google Chrome, Android - Native Browser, Internet Explorer 10 and Firefox (as of 2.0.2).

Connecting the API Key (Premium accounts)

We have wrote a complete guide about connecting your plugin with the hosted platform by using the API Key.

Requires: 3.5 or higher
Compatible up to: 4.2
Last Updated: 2015-4-21
Active Installs: 30,000+

Ratings

2.9 out of 5 stars

Support

1 of 8 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,2,2
100,1,1 100,3,3 50,2,1 100,1,1 50,2,1 100,1,1 100,1,1
100,2,2 100,1,1 100,1,1 80,5,4
100,1,1 92,13,12 0,5,0 100,4,4
88,17,15 80,15,12 50,2,1 100,3,3
100,1,1 86,7,6 93,15,14 100,1,1
61,33,20 100,1,1
67,6,4
86,7,6
100,3,3
55,38,21
100,8,8
56,9,5
14,7,1
0,2,0
55,33,18
38,8,3
61,31,19 100,1,1
91,11,10 100,1,1
100,2,2
0,2,0 41,17,7
64,11,7
100,1,1
64,11,7
0,1,0
0,1,0
0,1,0
100,1,1
0,1,0
0,1,0 0,2,0
100,1,1
67,3,2
100,2,2